Bug 207914 - graphics/darktable 2.0.2 without PRINT
Summary: graphics/darktable 2.0.2 without PRINT
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jean-Sébastien Pédron
URL: https://reviews.freebsd.org/D5617
Keywords:
Depends on:
Blocks:
 
Reported: 2016-03-11 23:53 UTC by Andrew
Modified: 2016-03-18 23:37 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (dumbbell)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew 2016-03-11 23:53:11 UTC
Failure to build graphics/darktable 2.0.2 if I disable some options:


-- Installing: /construction/xports/graphics/darktable/work/stage/usr/local/./man/man1/darktable-cmstest.1
====> Compressing man pages (compress-man)
===>   Installing ldconfig configuration file
===========================================================================

========================< phase : package         >========================
===>  Building package for darktable-2.0.2_1
pkg-static: Unable to access file /construction/xports/graphics/darktable/work/stage/usr/local/lib/darktable/plugins/lighttable/libprint_settings.so: No such file or directory
pkg-static: Unable to access file /construction/xports/graphics/darktable/work/stage/usr/local/lib/darktable/views/libprint.so: No such file or directory
*** Error code 1

Stop.
make: stopped in /xports/graphics/darktable
===========================================================================

Finished: Friday, 11 MAR 2016 at 21:57:40 UTC
Duration: 00:03:55


Config:

root@bclinton:darktable# make showconfig
===> The following configuration options are available for darktable-2.0.2_1:
     COLORD=on: Color management via colord
     DOCS=off: Build and/or install documentation
     FLICKR=off: Flickr support via flickcurl
     GEO=off: Support geotagging
     GNOMEKEYRING=off: GNOME Keyring password manager support
     GPHOTO=on: Digital cameras support via libgphoto2
     GRAPHMAGICK=off: GraphicsMagick image processing support
     LIBSECRET=off: Support libsecret as password backend
     LUA=off: Lua scripting language support
     NLS=off: Native Language Support
     OPENEXR=on: HDR image format support via OpenEXR
     OPENJPEG=on: Enhanced JPEG graphics support
     PRINT=off: Printer support
     RAWSPEED=on: Compile with rawspeed backend
     SLIDESHOW=off: Build OpenGL/SDL slideshow viewer
     SQUISH=on: Compress thumbnail via libsquish
     WEBP=on: WebP image format support
Comment 1 Jean-Sébastien Pédron freebsd_committer 2016-03-12 09:56:11 UTC
Thank you for reporting the problem!

A patch is ready and is waiting for approval:
https://reviews.freebsd.org/D5617
Comment 2 commit-hook freebsd_committer 2016-03-18 23:36:02 UTC
A commit references this bug:

Author: dumbbell
Date: Fri Mar 18 23:35:24 UTC 2016
New revision: 411374
URL: https://svnweb.freebsd.org/changeset/ports/411374

Log:
  graphics/darktable: Fix staging when PRINT is turned off

  PR:		207914
  Reviewed by:	kwm
  Approved by:	kwm
  Differential Revision:	https://reviews.freebsd.org/D5617

Changes:
  head/graphics/darktable/pkg-plist